# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Types-Serialiser
Summary:	Simple data types for common serialization formats
Version:	1.01
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Types-Serialiser
Source0:	https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/Types-Serialiser-%{version}.tar.gz
Patch0:		Types-Serialiser-1.01-provides.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(common::sense)
BuildRequires:	perl(overload)
# Test Suite
# (no dependencies)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)

%description
This module provides some extra data types that are used by common
serialization formats such as JSON or CBOR. The idea is to have a repository of
simple/small constants and containers that can be shared by different
implementations so they become inter-operable between each other.

%prep
%setup -q -n Types-Serialiser-%{version}

# Hide package declaration of JSON::PP::Boolean from rpm
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc Changes README
%{perl_vendorlib}/Types/
%{_mandir}/man3/Types::Serialiser.3*
%{_mandir}/man3/Types::Serialiser::Error.3*

%changelog
* Tue Dec  1 2020 Paul Howarth <paul@city-fan.org> - 1.01-1
- Update to 1.01
  - Implement Types::Serialiser::as_bool
  - Slight documentation tweaks

* Sat Jun  1 2019 Paul Howarth <paul@city-fan.org> - 1.0-16
- Perl 5.30 rebuild

* Tue Apr  3 2018 Paul Howarth <paul@city-fan.org> - 1.0-12
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Oct 14 2016 Paul Howarth <paul@city-fan.org> - 1.0-8
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Jan  6 2016 Paul Howarth <paul@city-fan.org> - 1.0-6
- Hide package declaration for JSON::PP::Boolean from rpm to avoid need for
  provides filtering
- Classify buildreqs by usage

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 1.0-3
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Mon Dec  2 2013 Paul Howarth <paul@city-fan.org> - 1.0-1
- Update to 1.0
  - Clarify that the second arg of FREEZE/THAW is the data model/data format
    name, not the serializer
  - Clarify that FREEZE must not modify the data structure to be serialized

* Wed Oct 30 2013 Paul Howarth <paul@city-fan.org> - 0.03-2
- Add provides filter for rpm < 4.9

* Tue Oct 29 2013 Paul Howarth <paul@city-fan.org> - 0.03-1
- Initial RPM version
